<!-- templates/home.html -->
{% extends 'base.html' %}
{% load gestion_projets_extras %}

{% block title %}Sujets{% endblock %}
{% block titlePage %}Liste de Sujets{% endblock %}

{% block menu %}
	{% if user.is_authenticated %}
		{% include "includes/menu.html" with active_tab='tab1' %}
	{% endif %}
{% endblock %}

{% block breadcrumbs %}
<li class="page-item"><a href="{% url 'home' %}" class="page-link"><span class="mif-list"></span></a></li>
<li class="page-item"><a href="{% url 'gestion_projets:subject_list' %}" class="page-link">Sujets</a></li>
<li class="page-item"><a href="{% url 'gestion_projets:subject_list' %}" class="page-link">Liste</a></li>
{% endblock %}

{% block content %}
<div class="m-3">

    <div class="remark primary">
        <p><b>Explication :</b> Affichage de l'ensemble des sujets de tous les utilisateurs de tous les temps.</p>
        <p> Vous pouvez modifier uniquement les sujets que vous avez déposés.</p>
        <p> Attention, un sujet doit être affecté a une session pour pouvoir être affecté à un groupe d'étudiant cela signifie aussi que vous pouvez préparer vos brouillons.</p>
    </div>

    <div class="row mt-2">
        <div class="cell-lg-3 cell-sm-6 mt-2">
            <div class="icon-box border bd-cyan">
                <div class="icon bg-cyan fg-white"><span class="mif-cog"></span></div>
                <div class="content p-4">
                    <div class="text-upper">Vos sujets</div>
                    <div class="text-upper text-bold text-lead">{{ user|count_subjects_user }}</div>
                </div>
            </div>
        </div>
        <div class="cell-lg-3 cell-sm-6 mt-2">
            <div class="icon-box border bd-red">
                <div class="icon bg-red fg-white"><span class="mif-cog"></span></div>
                <div class="content p-4">
                    <div class="text-upper">Nombre de sujets</div>
                    <div class="text-upper text-bold text-lead">{{ latest_subject_list.count }}</div>
                </div>
            </div>
        </div>
    </div>

    <div class="panel mt-4" >
        <div class="row p-5">
            <button class="image-button info" onclick="location.href='{% url 'gestion_projets:subject_new' %}'">
                <span class="mif-upload icon"></span>
                <span class="caption">Nouveau sujet</span>
            </button>
        </div>
        <div class="row p-5">

            {% if latest_subject_list %}
                <table class="table striped row-border" data-role="table" data-show-search="true" data-show-rows-steps="false" data-table-search-title="Rechercher : " style="max-width:100%;" data-cell-wrapper="false">
                    <thead>
                        <tr>
                            <th data-size="40%">Titre</th>
                            <th data-size="20%">Tuteur</th>
                            <th data-size="20%">Tags</th>
                        {% if request.user|has_group:"Tutor" or request.user|has_group:"Admin" %}
                            <th data-size="5%">Vues</th>
                        {% endif %}
                            <th data-size="15%">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                    {% for subject in latest_subject_list %}
                        <tr>
                            <td style="max-width:10%;">{{ subject.title }}</td>
                            <td >{{ subject.user.first_name }} {{ subject.user.last_name }}</td>
                            <td >    
                                {% for tags in subject.tags.all %}
                                    {{ tags.text }}     
                                {% endfor %}
                            </td>
                        {% if request.user|has_group:"Tutor" or request.user|has_group:"Admin" %}
                            <td>{{ subject.nb_view }}</td>
                        {% endif %}
                            <td >
                                <button class="image-button success" onclick="location.href='{% url 'gestion_projets:subject_view' subject.id %}'">
                                    <span class="mif-file-text icon"></span>
                                    <span class="caption">Voir</span>
                                </button>
                                {% if user == subject.user %}
                                    <button class="image-button info" onclick="location.href='{% url 'gestion_projets:subject_edit' subject.id %}'">
                                        <span class="mif-wrench icon"></span>
                                        <span class="caption">Editer</span>
                                    </button>
                                    <!--a class="button" href="">Supprimer</a-->
                                {% endif %}
                            </td>
                        </tr>    
                    {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <p>Aucun sujet disponible.</p>
            {% endif %}
            </div>
    </div>
</div>
{% endblock %}
